Show / Hide Table of Contents

# Struct Monster

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Monster

### Fields

| Improve this Doc View Source

#### CharacterBase

##### Declaration

    public CharacterBase CharacterBase

##### Field Value

Type | Description
--- | ---
CharacterBase |

### Methods

| Improve this Doc View Source

#### SetupFromData(Byte*)

##### Declaration

    public bool SetupFromData(byte *data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | data |

##### Returns

Type | Description
--- | ---
System.Boolean |